> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gominerva.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send API Result to User

> **"I have a manual review element to my onboarding flow, and need to send API results that match certain criteria to investigators in the UI for review."**

**"I want to assign a specific API result to a user in the MinervaAI user interface for closer inspection."**

The sendAPIResultToUser endpoint allows you to direct specific API results into the investigation bins of users in the MinervaAI user interface. API results can be assigned after being completed using the Search and Search Status APIs. The response body of the Search Status API contains the required job and request IDs to perform this action.

The user's email in the MinervaAI system is used to identify the user that should receive the API result. The user that you want to send the result to **must be in the same organization as the API key that submitted the search.** If the investigation does not exist, it will be created as a bin in that user's account to hold the API result in.




## OpenAPI

````yaml /api-reference/core.json post /v1/sendAPIResultToUser
openapi: 3.0.0
info:
  version: 1.6.2
  title: MinervaAI Core API
  description: >-
    The MinervaAI core monolith that serves the search, consensus, pruning, and
    report generation capabilities.
servers:
  - url: https://api.gominerva.com
    description: The production API server for Minerva AI
security:
  - ApiKeyAuth: []
tags:
  - name: Search
    description: >-
      Current screening, search, and reporting endpoints for active
      integrations.
  - name: Legacy
    description: >-
      Legacy endpoints retained for backwards compatibility. Prefer the
      canonical POST-based search flows for new integrations.
  - name: API to UI Integration
    description: Endpoints used to bridge API integrations with Minerva UI workflows.
  - name: Potential Matches
    description: Update review workflow state for potential matches returned by searches.
paths:
  /v1/sendAPIResultToUser:
    post:
      tags:
        - API to UI Integration
      summary: Send API Result to User
      description: >
        **"I have a manual review element to my onboarding flow, and need to
        send API results that match certain criteria to investigators in the UI
        for review."**


        **"I want to assign a specific API result to a user in the MinervaAI
        user interface for closer inspection."**


        The sendAPIResultToUser endpoint allows you to direct specific API
        results into the investigation bins of users in the MinervaAI user
        interface. API results can be assigned after being completed using the
        Search and Search Status APIs. The response body of the Search Status
        API contains the required job and request IDs to perform this action.


        The user's email in the MinervaAI system is used to identify the user
        that should receive the API result. The user that you want to send the
        result to **must be in the same organization as the API key that
        submitted the search.** If the investigation does not exist, it will be
        created as a bin in that user's account to hold the API result in.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jobId
                - requestId
              properties:
                investigationId:
                  type: string
                  maxLength: 36
                  description: >-
                    If a previous investigation was generated by another call to
                    /sendAPIResultToUser, then that investigationId can be
                    provided to perform the investigation assignment. Either
                    investigationName or investigationId must be provided.
                  example: existing-investigation-id
                investigationName:
                  type: string
                  maxLength: 1024
                  description: >-
                    The plain text label of the investigation that this result
                    should be assigned under. If the investigation does not
                    exist in the user's investigations list, then it will be
                    created. Otherwise, the investigation matching this label
                    will be used as the bin to place the result in. The
                    investigation date will be the same as the date on which the
                    API result was initially generated. It is recommended to use
                    something easy to identify for the investigator that will
                    receive the API result, such as a date and/or specific batch
                    metadata.
                  example: My Investigation Name
                jobId:
                  type: string
                  maxLength: 36
                  description: >-
                    The unique identifier of the job that the result was run
                    under. This will be the same ID that was used to query the
                    API result via the Search Status API, and is also present in
                    the Search Status API response body.
                  example: job-id-of-api-result
                requestId:
                  type: string
                  maxLength: 36
                  description: >-
                    The unique identifier of the request that the result was run
                    under. In each result of the Search Status API batch, there
                    is an id which is the unique identifier of that result in
                    the job.
                  example: request-id-of-api-result
                userEmail:
                  type: string
                  maxLength: 256
                  description: >-
                    The email address of the user that should receive the API
                    result in one of their investigation bins. If not provided,
                    the result will be assigned to the requesting user.
                  example: user@myorganization.com
            example:
              investigationName: My New Investigation
              jobId: previous-api-call-job-id
              requestId: previous-api-call-request-id
              userEmail: user@myorganization.com
      responses:
        '200':
          description: API result successfully cloned into user investigation.
          content:
            application/json:
              schema:
                type: object
                properties:
                  investigationId:
                    type: string
                    description: >-
                      The unique identifier of the investigation that contains
                      the API result.
                    example: unique-id-of-the-investigation
                  status:
                    type: integer
                    example: 200
                  message:
                    type: string
                    example: API result successfully cloned into user investigation.
                  code:
                    type: string
                    example: success
        '400':
          description: >
            Bad Request - You made a request with a format that does not match
            the required schema. Please check your JSON body formatting for any
            issues, and refer to the schema above for allowed fields.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 400
                  message:
                    type: string
                    example: Empty or invalid body
        '403':
          description: >
            Forbidden - Authentication failed because:

            - The API key was invalid

            - A server-side safety check deemed the request data to be unsafe,
            usually because of the inclusion of script/code tags or injection
            motifs

            - Your account will overrun a hard quota if this call is made
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 403
                  message:
                    type: string
                    example: Missing x-api-key header.
        '404':
          description: >
            Not Found - The requested user email could not be found in the same
            organization as the API user that submitted the request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 404
                  message:
                    type: string
                    example: User not found in the same organization
        '500':
          description: >
            Internal Server Error - An issue was encountered on the MinervaAI
            server side while attempting to complete this task, and it did not
            complete correctly. Please contact us at support@gominerva.com with
            bug reproduction notes to have this issue resolved.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 500
                  message:
                    type: string
                    example: >-
                      Internal server error occurred while processing the
                      request
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        The Minerva API key used for this integration. Manage API keys in the
        Minerva dashboard under Administration > Developers.

````